.flip-h {
  transform: rotate3d(0, 1, 0, 180deg);
  transform-origin: center;
}

:root {
  --body-margin-top: 53px;
  --body-margin-bottom: 47px;
}
@media (min-width: 576px) {
  :root {
    --body-margin-top: 61px;
    --body-margin-bottom: 49px;
  }
}

html {
  font-size: 14px;
  position: relative;
  min-height: 100%;
}

@media (min-width: 576px) {
  html {
    font-size: 16px;
  }
}
body {
  margin-top: var(--body-margin-top);
  margin-bottom: var(--body-margin-bottom);
}

.container-xxl {
  max-width: 1920px;
}

.navbar {
  --bs-navbar-toggler-padding-y: 0.25rem;
  --bs-navbar-toggler-padding-x: 0.25rem;
  --bs-navbar-toggler-font-size: 1.25rem;
  --bs-navbar-toggler-icon-bg: none;
  --bs-navbar-toggler-border-color: transparent;
  --bs-navbar-toggler-border-radius: var(--bs-border-radius);
  --bs-navbar-toggler-focus-width: 0;
  --bs-navbar-toggler-transition: box-shadow 0.15s;
}
.navbar .navbar-brand svg {
  height: 2rem;
}

footer svg {
  height: 32px;
}

@media (min-width: 768px) {
  .page-wrapper {
    height: calc(100vh - 189px);
    overflow-y: auto;
    overflow-x: hidden;
    transition: width 0.35s ease;
  }
  .page-wrapper.mb-collapsed {
    max-width: calc(100vw - 351px);
  }
}

.dashboard-menu {
  background-color: var(--bs-secondary-bg);
  position: fixed;
  top: var(--body-margin-top);
  left: 0;
  width: 100vw;
  z-index: 100;
  transition: left 0.35s ease;
}
.dashboard-menu.collapsing.collapse-horizontal {
  width: 100vw;
  left: -100%;
  transition: left 0.35s ease;
}
.dashboard-menu.collapse:not(.show) {
  display: flex;
  left: -100%;
}
.dashboard-menu > .navbar-nav {
  font-size: 1.75rem;
  justify-content: center;
  align-items: center;
  min-height: calc(100vh - var(--body-margin-top) - var(--body-margin-bottom));
}
.dashboard-menu > .navbar-nav .nav-item {
  padding-left: 1.5rem;
  padding-right: 1.5rem;
}
.dashboard-menu > .navbar-nav .nav-item .nav-link.active {
  color: var(--bs-warning);
  font-weight: 700;
}
@media (min-width: 992px) {
  .dashboard-menu {
    position: relative;
    top: 0;
    left: -0.75rem;
    width: 280px;
    z-index: 0;
    justify-content: flex-start;
    transition: width 0.35s ease;
  }
  .dashboard-menu.collapse:not(.show) {
    display: none;
  }
  .dashboard-menu.collapsing.collapse-horizontal {
    left: -0.75rem;
    width: 0;
    transition: width 0.35s ease;
  }
  .dashboard-menu > .navbar-nav {
    font-size: 1.25rem;
    justify-content: start;
    align-items: start;
  }
}

.btn:focus,
.btn:active:focus,
.btn-link.nav-link:focus,
.form-control:focus,
.form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

[data-bs-theme=dark] .flatpickr-calendar {
  background: transparent;
  opacity: 0;
  display: none;
  text-align: center;
  visibility: hidden;
  padding: 0;
  -webkit-animation: none;
  animation: none;
  direction: ltr;
  border: 0;
  font-size: 14px;
  line-height: 24px;
  border-radius: 5px;
  position: absolute;
  width: 307.875px;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -ms-touch-action: manipulation;
  touch-action: manipulation;
  background: #3f4458;
  -webkit-box-shadow: 1px 0 0 #20222c, -1px 0 0 #20222c, 0 1px 0 #20222c, 0 -1px 0 #20222c, 0 3px 13px rgba(0, 0, 0, 0.08);
  box-shadow: 1px 0 0 #20222c, -1px 0 0 #20222c, 0 1px 0 #20222c, 0 -1px 0 #20222c, 0 3px 13px rgba(0, 0, 0, 0.08);
}
[data-bs-theme=dark] .flatpickr-calendar.open,
[data-bs-theme=dark] .flatpickr-calendar.inline {
  opacity: 1;
  max-height: 640px;
  visibility: visible;
}
[data-bs-theme=dark] .flatpickr-calendar.open {
  display: inline-block;
  z-index: 99999;
}
[data-bs-theme=dark] .flatpickr-calendar.animate.open {
  -webkit-animation: fpFadeInDown 300ms cubic-bezier(0.23, 1, 0.32, 1);
  animation: fpFadeInDown 300ms cubic-bezier(0.23, 1, 0.32, 1);
}
[data-bs-theme=dark] .flatpickr-calendar.inline {
  display: block;
  position: relative;
  top: 2px;
}
[data-bs-theme=dark] .flatpickr-calendar.static {
  position: absolute;
  top: calc(100% + 2px);
}
[data-bs-theme=dark] .flatpickr-calendar.static.open {
  z-index: 999;
  display: block;
}
[data-bs-theme=dark] .flatpickr-calendar.multiMonth .flatpickr-days .dayContainer:nth-child(n+1) .flatpickr-day.inRange:nth-child(7n+7) {
  -webkit-box-shadow: none !important;
  box-shadow: none !important;
}
[data-bs-theme=dark] .flatpickr-calendar.multiMonth .flatpickr-days .dayContainer:nth-child(n+2) .flatpickr-day.inRange:nth-child(7n+1) {
  -webkit-box-shadow: -2px 0 0 #e6e6e6, 5px 0 0 #e6e6e6;
  box-shadow: -2px 0 0 #e6e6e6, 5px 0 0 #e6e6e6;
}
[data-bs-theme=dark] .flatpickr-calendar .hasWeeks .dayContainer,
[data-bs-theme=dark] .flatpickr-calendar .hasTime .dayContainer {
  border-bottom: 0;
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 0;
}
[data-bs-theme=dark] .flatpickr-calendar .hasWeeks .dayContainer {
  border-left: 0;
}
[data-bs-theme=dark] .flatpickr-calendar.hasTime .flatpickr-time {
  height: 40px;
  border-top: 1px solid #20222c;
}
[data-bs-theme=dark] .flatpickr-calendar.noCalendar.hasTime .flatpickr-time {
  height: auto;
}
[data-bs-theme=dark] .flatpickr-calendar:before,
[data-bs-theme=dark] .flatpickr-calendar:after {
  position: absolute;
  display: block;
  pointer-events: none;
  border: solid transparent;
  content: "";
  height: 0;
  width: 0;
  left: 22px;
}
[data-bs-theme=dark] .flatpickr-calendar.rightMost:before,
[data-bs-theme=dark] .flatpickr-calendar.arrowRight:before,
[data-bs-theme=dark] .flatpickr-calendar.rightMost:after,
[data-bs-theme=dark] .flatpickr-calendar.arrowRight:after {
  left: auto;
  right: 22px;
}
[data-bs-theme=dark] .flatpickr-calendar.arrowCenter:before,
[data-bs-theme=dark] .flatpickr-calendar.arrowCenter:after {
  left: 50%;
  right: 50%;
}
[data-bs-theme=dark] .flatpickr-calendar:before {
  border-width: 5px;
  margin: 0 -5px;
}
[data-bs-theme=dark] .flatpickr-calendar:after {
  border-width: 4px;
  margin: 0 -4px;
}
[data-bs-theme=dark] .flatpickr-calendar.arrowTop:before,
[data-bs-theme=dark] .flatpickr-calendar.arrowTop:after {
  bottom: 100%;
}
[data-bs-theme=dark] .flatpickr-calendar.arrowTop:before {
  border-bottom-color: #20222c;
}
[data-bs-theme=dark] .flatpickr-calendar.arrowTop:after {
  border-bottom-color: #3f4458;
}
[data-bs-theme=dark] .flatpickr-calendar.arrowBottom:before,
[data-bs-theme=dark] .flatpickr-calendar.arrowBottom:after {
  top: 100%;
}
[data-bs-theme=dark] .flatpickr-calendar.arrowBottom:before {
  border-top-color: #20222c;
}
[data-bs-theme=dark] .flatpickr-calendar.arrowBottom:after {
  border-top-color: #3f4458;
}
[data-bs-theme=dark] .flatpickr-calendar:focus {
  outline: 0;
}
[data-bs-theme=dark] .flatpickr-wrapper {
  position: relative;
  display: inline-block;
}
[data-bs-theme=dark] .flatpickr-months {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}
[data-bs-theme=dark] .flatpickr-months .flatpickr-month {
  background: #3f4458;
  color: #fff;
  fill: #fff;
  height: 34px;
  line-height: 1;
  text-align: center;
  position: relative;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  overflow: hidden;
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
}
[data-bs-theme=dark] .flatpickr-months .flatpickr-prev-month,
[data-bs-theme=dark] .flatpickr-months .flatpickr-next-month {
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  text-decoration: none;
  cursor: pointer;
  position: absolute;
  top: 0;
  height: 34px;
  padding: 10px;
  z-index: 3;
  color: #fff;
  fill: #fff;
}
[data-bs-theme=dark] .flatpickr-months .flatpickr-prev-month.flatpickr-disabled,
[data-bs-theme=dark] .flatpickr-months .flatpickr-next-month.flatpickr-disabled {
  display: none;
}
[data-bs-theme=dark] .flatpickr-months .flatpickr-prev-month i,
[data-bs-theme=dark] .flatpickr-months .flatpickr-next-month i {
  position: relative;
}
[data-bs-theme=dark] .flatpickr-months .flatpickr-prev-month.flatpickr-prev-month,
[data-bs-theme=dark] .flatpickr-months .flatpickr-next-month.flatpickr-prev-month {
  /*
        /*rtl:begin:ignore*/
  /*
        */
  left: 0;
  /*
        /*rtl:end:ignore*/
  /*
        */
}
[data-bs-theme=dark] {
  /*
        /*rtl:begin:ignore*/
  /*
        /*rtl:end:ignore*/
}
[data-bs-theme=dark] .flatpickr-months .flatpickr-prev-month.flatpickr-next-month,
[data-bs-theme=dark] .flatpickr-months .flatpickr-next-month.flatpickr-next-month {
  /*
        /*rtl:begin:ignore*/
  /*
        */
  right: 0;
  /*
        /*rtl:end:ignore*/
  /*
        */
}
[data-bs-theme=dark] {
  /*
        /*rtl:begin:ignore*/
  /*
        /*rtl:end:ignore*/
}
[data-bs-theme=dark] .flatpickr-months .flatpickr-prev-month:hover,
[data-bs-theme=dark] .flatpickr-months .flatpickr-next-month:hover {
  color: #eee;
}
[data-bs-theme=dark] .flatpickr-months .flatpickr-prev-month:hover svg,
[data-bs-theme=dark] .flatpickr-months .flatpickr-next-month:hover svg {
  fill: #f64747;
}
[data-bs-theme=dark] .flatpickr-months .flatpickr-prev-month svg,
[data-bs-theme=dark] .flatpickr-months .flatpickr-next-month svg {
  width: 14px;
  height: 14px;
}
[data-bs-theme=dark] .flatpickr-months .flatpickr-prev-month svg path,
[data-bs-theme=dark] .flatpickr-months .flatpickr-next-month svg path {
  -webkit-transition: fill 0.1s;
  transition: fill 0.1s;
  fill: inherit;
}
[data-bs-theme=dark] .numInputWrapper {
  position: relative;
  height: auto;
}
[data-bs-theme=dark] .numInputWrapper input,
[data-bs-theme=dark] .numInputWrapper span {
  display: inline-block;
}
[data-bs-theme=dark] .numInputWrapper input {
  width: 100%;
}
[data-bs-theme=dark] .numInputWrapper input::-ms-clear {
  display: none;
}
[data-bs-theme=dark] .numInputWrapper input::-webkit-outer-spin-button,
[data-bs-theme=dark] .numInputWrapper input::-webkit-inner-spin-button {
  margin: 0;
  -webkit-appearance: none;
}
[data-bs-theme=dark] .numInputWrapper span {
  position: absolute;
  right: 0;
  width: 14px;
  padding: 0 4px 0 2px;
  height: 50%;
  line-height: 50%;
  opacity: 0;
  cursor: pointer;
  border: 1px solid rgba(255, 255, 255, 0.15);
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}
[data-bs-theme=dark] .numInputWrapper span:hover {
  background: rgba(192, 187, 167, 0.1);
}
[data-bs-theme=dark] .numInputWrapper span:active {
  background: rgba(192, 187, 167, 0.2);
}
[data-bs-theme=dark] .numInputWrapper span:after {
  display: block;
  content: "";
  position: absolute;
}
[data-bs-theme=dark] .numInputWrapper span.arrowUp {
  top: 0;
  border-bottom: 0;
}
[data-bs-theme=dark] .numInputWrapper span.arrowUp:after {
  border-left: 4px solid transparent;
  border-right: 4px solid transparent;
  border-bottom: 4px solid rgba(255, 255, 255, 0.6);
  top: 26%;
}
[data-bs-theme=dark] .numInputWrapper span.arrowDown {
  top: 50%;
}
[data-bs-theme=dark] .numInputWrapper span.arrowDown:after {
  border-left: 4px solid transparent;
  border-right: 4px solid transparent;
  border-top: 4px solid rgba(255, 255, 255, 0.6);
  top: 40%;
}
[data-bs-theme=dark] .numInputWrapper span svg {
  width: inherit;
  height: auto;
}
[data-bs-theme=dark] .numInputWrapper span svg path {
  fill: rgba(255, 255, 255, 0.5);
}
[data-bs-theme=dark] .numInputWrapper:hover {
  background: rgba(192, 187, 167, 0.05);
}
[data-bs-theme=dark] .numInputWrapper:hover span {
  opacity: 1;
}
[data-bs-theme=dark] .flatpickr-current-month {
  font-size: 135%;
  line-height: inherit;
  font-weight: 300;
  color: inherit;
  position: absolute;
  width: 75%;
  left: 12.5%;
  padding: 7.48px 0 0 0;
  line-height: 1;
  height: 34px;
  display: inline-block;
  text-align: center;
  -webkit-transform: translate3d(0px, 0px, 0px);
  transform: translate3d(0px, 0px, 0px);
}
[data-bs-theme=dark] .flatpickr-current-month span.cur-month {
  font-family: inherit;
  font-weight: 700;
  color: inherit;
  display: inline-block;
  margin-left: 0.5ch;
  padding: 0;
}
[data-bs-theme=dark] .flatpickr-current-month span.cur-month:hover {
  background: rgba(192, 187, 167, 0.05);
}
[data-bs-theme=dark] .flatpickr-current-month .numInputWrapper {
  width: 6ch;
  width: 7ch\0 ;
  display: inline-block;
}
[data-bs-theme=dark] .flatpickr-current-month .numInputWrapper span.arrowUp:after {
  border-bottom-color: #fff;
}
[data-bs-theme=dark] .flatpickr-current-month .numInputWrapper span.arrowDown:after {
  border-top-color: #fff;
}
[data-bs-theme=dark] .flatpickr-current-month input.cur-year {
  background: transparent;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  color: inherit;
  cursor: text;
  padding: 0 0 0 0.5ch;
  margin: 0;
  display: inline-block;
  font-size: inherit;
  font-family: inherit;
  font-weight: 300;
  line-height: inherit;
  height: auto;
  border: 0;
  border-radius: 0;
  vertical-align: initial;
  -webkit-appearance: textfield;
  -moz-appearance: textfield;
  appearance: textfield;
}
[data-bs-theme=dark] .flatpickr-current-month input.cur-year:focus {
  outline: 0;
}
[data-bs-theme=dark] .flatpickr-current-month input.cur-year[disabled],
[data-bs-theme=dark] .flatpickr-current-month input.cur-year[disabled]:hover {
  font-size: 100%;
  color: rgba(255, 255, 255, 0.5);
  background: transparent;
  pointer-events: none;
}
[data-bs-theme=dark] .flatpickr-current-month .flatpickr-monthDropdown-months {
  appearance: menulist;
  background: #3f4458;
  border: none;
  border-radius: 0;
  box-sizing: border-box;
  color: inherit;
  cursor: pointer;
  font-size: inherit;
  font-family: inherit;
  font-weight: 300;
  height: auto;
  line-height: inherit;
  margin: -1px 0 0 0;
  outline: none;
  padding: 0 0 0 0.5ch;
  position: relative;
  vertical-align: initial;
  -webkit-box-sizing: border-box;
  -webkit-appearance: menulist;
  -moz-appearance: menulist;
  width: auto;
}
[data-bs-theme=dark] .flatpickr-current-month .flatpickr-monthDropdown-months:focus,
[data-bs-theme=dark] .flatpickr-current-month .flatpickr-monthDropdown-months:active {
  outline: none;
}
[data-bs-theme=dark] .flatpickr-current-month .flatpickr-monthDropdown-months:hover {
  background: rgba(192, 187, 167, 0.05);
}
[data-bs-theme=dark] .flatpickr-current-month .flatpickr-monthDropdown-months .flatpickr-monthDropdown-month {
  background-color: #3f4458;
  outline: none;
  padding: 0;
}
[data-bs-theme=dark] .flatpickr-weekdays {
  background: transparent;
  text-align: center;
  overflow: hidden;
  width: 100%;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  height: 28px;
}
[data-bs-theme=dark] .flatpickr-weekdays .flatpickr-weekdaycontainer {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
}
[data-bs-theme=dark] span.flatpickr-weekday {
  cursor: default;
  font-size: 90%;
  background: #3f4458;
  color: #fff;
  line-height: 1;
  margin: 0;
  text-align: center;
  display: block;
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
  font-weight: bolder;
}
[data-bs-theme=dark] .dayContainer,
[data-bs-theme=dark] .flatpickr-weeks {
  padding: 1px 0 0 0;
}
[data-bs-theme=dark] .flatpickr-days {
  position: relative;
  overflow: hidden;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: start;
  -webkit-align-items: flex-start;
  -ms-flex-align: start;
  align-items: flex-start;
  width: 307.875px;
}
[data-bs-theme=dark] .flatpickr-days:focus {
  outline: 0;
}
[data-bs-theme=dark] .dayContainer {
  padding: 0;
  outline: 0;
  text-align: left;
  width: 307.875px;
  min-width: 307.875px;
  max-width: 307.875px;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  display: inline-block;
  display: -ms-flexbox;
  display: -webkit-box;
  display: -webkit-flex;
  display: flex;
  -webkit-flex-wrap: wrap;
  flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  -ms-flex-pack: justify;
  -webkit-justify-content: space-around;
  justify-content: space-around;
  -webkit-transform: translate3d(0px, 0px, 0px);
  transform: translate3d(0px, 0px, 0px);
  opacity: 1;
}
[data-bs-theme=dark] .dayContainer + .dayContainer {
  -webkit-box-shadow: -1px 0 0 #20222c;
  box-shadow: -1px 0 0 #20222c;
}
[data-bs-theme=dark] .flatpickr-day {
  background: none;
  border: 1px solid transparent;
  border-radius: 150px;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  color: rgba(255, 255, 255, 0.95);
  cursor: pointer;
  font-weight: 400;
  width: 14.2857143%;
  -webkit-flex-basis: 14.2857143%;
  -ms-flex-preferred-size: 14.2857143%;
  flex-basis: 14.2857143%;
  max-width: 39px;
  height: 39px;
  line-height: 39px;
  margin: 0;
  display: inline-block;
  position: relative;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -ms-flex-pack: center;
  justify-content: center;
  text-align: center;
}
[data-bs-theme=dark] .flatpickr-day.inRange,
[data-bs-theme=dark] .flatpickr-day.prevMonthDay.inRange,
[data-bs-theme=dark] .flatpickr-day.nextMonthDay.inRange,
[data-bs-theme=dark] .flatpickr-day.today.inRange,
[data-bs-theme=dark] .flatpickr-day.prevMonthDay.today.inRange,
[data-bs-theme=dark] .flatpickr-day.nextMonthDay.today.inRange,
[data-bs-theme=dark] .flatpickr-day:hover,
[data-bs-theme=dark] .flatpickr-day.prevMonthDay:hover,
[data-bs-theme=dark] .flatpickr-day.nextMonthDay:hover,
[data-bs-theme=dark] .flatpickr-day:focus,
[data-bs-theme=dark] .flatpickr-day.prevMonthDay:focus,
[data-bs-theme=dark] .flatpickr-day.nextMonthDay:focus {
  cursor: pointer;
  outline: 0;
  background: #646c8c;
  border-color: #646c8c;
}
[data-bs-theme=dark] .flatpickr-day.today {
  border-color: #eee;
}
[data-bs-theme=dark] .flatpickr-day.today:hover,
[data-bs-theme=dark] .flatpickr-day.today:focus {
  border-color: #eee;
  background: #eee;
  color: #3f4458;
}
[data-bs-theme=dark] .flatpickr-day.selected,
[data-bs-theme=dark] .flatpickr-day.startRange,
[data-bs-theme=dark] .flatpickr-day.endRange,
[data-bs-theme=dark] .flatpickr-day.selected.inRange,
[data-bs-theme=dark] .flatpickr-day.startRange.inRange,
[data-bs-theme=dark] .flatpickr-day.endRange.inRange,
[data-bs-theme=dark] .flatpickr-day.selected:focus,
[data-bs-theme=dark] .flatpickr-day.startRange:focus,
[data-bs-theme=dark] .flatpickr-day.endRange:focus,
[data-bs-theme=dark] .flatpickr-day.selected:hover,
[data-bs-theme=dark] .flatpickr-day.startRange:hover,
[data-bs-theme=dark] .flatpickr-day.endRange:hover,
[data-bs-theme=dark] .flatpickr-day.selected.prevMonthDay,
[data-bs-theme=dark] .flatpickr-day.startRange.prevMonthDay,
[data-bs-theme=dark] .flatpickr-day.endRange.prevMonthDay,
[data-bs-theme=dark] .flatpickr-day.selected.nextMonthDay,
[data-bs-theme=dark] .flatpickr-day.startRange.nextMonthDay,
[data-bs-theme=dark] .flatpickr-day.endRange.nextMonthDay {
  background: #80cbc4;
  -webkit-box-shadow: none;
  box-shadow: none;
  color: #fff;
  border-color: #80cbc4;
}
[data-bs-theme=dark] .flatpickr-day.selected.startRange,
[data-bs-theme=dark] .flatpickr-day.startRange.startRange,
[data-bs-theme=dark] .flatpickr-day.endRange.startRange {
  border-radius: 50px 0 0 50px;
}
[data-bs-theme=dark] .flatpickr-day.selected.endRange,
[data-bs-theme=dark] .flatpickr-day.startRange.endRange,
[data-bs-theme=dark] .flatpickr-day.endRange.endRange {
  border-radius: 0 50px 50px 0;
}
[data-bs-theme=dark] .flatpickr-day.selected.startRange + .endRange:not(:nth-child(7n+1)),
[data-bs-theme=dark] .flatpickr-day.startRange.startRange + .endRange:not(:nth-child(7n+1)),
[data-bs-theme=dark] .flatpickr-day.endRange.startRange + .endRange:not(:nth-child(7n+1)) {
  -webkit-box-shadow: -10px 0 0 #80cbc4;
  box-shadow: -10px 0 0 #80cbc4;
}
[data-bs-theme=dark] .flatpickr-day.selected.startRange.endRange,
[data-bs-theme=dark] .flatpickr-day.startRange.startRange.endRange,
[data-bs-theme=dark] .flatpickr-day.endRange.startRange.endRange {
  border-radius: 50px;
}
[data-bs-theme=dark] .flatpickr-day.inRange {
  border-radius: 0;
  -webkit-box-shadow: -5px 0 0 #646c8c, 5px 0 0 #646c8c;
  box-shadow: -5px 0 0 #646c8c, 5px 0 0 #646c8c;
}
[data-bs-theme=dark] .flatpickr-day.flatpickr-disabled,
[data-bs-theme=dark] .flatpickr-day.flatpickr-disabled:hover,
[data-bs-theme=dark] .flatpickr-day.prevMonthDay,
[data-bs-theme=dark] .flatpickr-day.nextMonthDay,
[data-bs-theme=dark] .flatpickr-day.notAllowed,
[data-bs-theme=dark] .flatpickr-day.notAllowed.prevMonthDay,
[data-bs-theme=dark] .flatpickr-day.notAllowed.nextMonthDay {
  color: rgba(255, 255, 255, 0.3);
  background: transparent;
  border-color: transparent;
  cursor: default;
}
[data-bs-theme=dark] .flatpickr-day.flatpickr-disabled,
[data-bs-theme=dark] .flatpickr-day.flatpickr-disabled:hover {
  cursor: not-allowed;
  color: rgba(255, 255, 255, 0.1);
}
[data-bs-theme=dark] .flatpickr-day.week.selected {
  border-radius: 0;
  -webkit-box-shadow: -5px 0 0 #80cbc4, 5px 0 0 #80cbc4;
  box-shadow: -5px 0 0 #80cbc4, 5px 0 0 #80cbc4;
}
[data-bs-theme=dark] .flatpickr-day.hidden {
  visibility: hidden;
}
[data-bs-theme=dark] .rangeMode .flatpickr-day {
  margin-top: 1px;
}
[data-bs-theme=dark] .flatpickr-weekwrapper {
  float: left;
}
[data-bs-theme=dark] .flatpickr-weekwrapper .flatpickr-weeks {
  padding: 0 12px;
  -webkit-box-shadow: 1px 0 0 #20222c;
  box-shadow: 1px 0 0 #20222c;
}
[data-bs-theme=dark] .flatpickr-weekwrapper .flatpickr-weekday {
  float: none;
  width: 100%;
  line-height: 28px;
}
[data-bs-theme=dark] .flatpickr-weekwrapper span.flatpickr-day,
[data-bs-theme=dark] .flatpickr-weekwrapper span.flatpickr-day:hover {
  display: block;
  width: 100%;
  max-width: none;
  color: rgba(255, 255, 255, 0.3);
  background: transparent;
  cursor: default;
  border: none;
}
[data-bs-theme=dark] .flatpickr-innerContainer {
  display: block;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  overflow: hidden;
}
[data-bs-theme=dark] .flatpickr-rContainer {
  display: inline-block;
  padding: 0;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}
[data-bs-theme=dark] .flatpickr-time {
  text-align: center;
  outline: 0;
  display: block;
  height: 0;
  line-height: 40px;
  max-height: 40px;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  overflow: hidden;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
}
[data-bs-theme=dark] .flatpickr-time:after {
  content: "";
  display: table;
  clear: both;
}
[data-bs-theme=dark] .flatpickr-time .numInputWrapper {
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
  width: 40%;
  height: 40px;
  float: left;
}
[data-bs-theme=dark] .flatpickr-time .numInputWrapper span.arrowUp:after {
  border-bottom-color: rgba(255, 255, 255, 0.95);
}
[data-bs-theme=dark] .flatpickr-time .numInputWrapper span.arrowDown:after {
  border-top-color: rgba(255, 255, 255, 0.95);
}
[data-bs-theme=dark] .flatpickr-time.hasSeconds .numInputWrapper {
  width: 26%;
}
[data-bs-theme=dark] .flatpickr-time.time24hr .numInputWrapper {
  width: 49%;
}
[data-bs-theme=dark] .flatpickr-time input {
  background: transparent;
  -webkit-box-shadow: none;
  box-shadow: none;
  border: 0;
  border-radius: 0;
  text-align: center;
  margin: 0;
  padding: 0;
  height: inherit;
  line-height: inherit;
  color: rgba(255, 255, 255, 0.95);
  font-size: 14px;
  position: relative;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-appearance: textfield;
  -moz-appearance: textfield;
  appearance: textfield;
}
[data-bs-theme=dark] .flatpickr-time input.flatpickr-hour {
  font-weight: bold;
}
[data-bs-theme=dark] .flatpickr-time input.flatpickr-minute,
[data-bs-theme=dark] .flatpickr-time input.flatpickr-second {
  font-weight: 400;
}
[data-bs-theme=dark] .flatpickr-time input:focus {
  outline: 0;
  border: 0;
}
[data-bs-theme=dark] .flatpickr-time .flatpickr-time-separator,
[data-bs-theme=dark] .flatpickr-time .flatpickr-am-pm {
  height: inherit;
  float: left;
  line-height: inherit;
  color: rgba(255, 255, 255, 0.95);
  font-weight: bold;
  width: 2%;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-align-self: center;
  -ms-flex-item-align: center;
  align-self: center;
}
[data-bs-theme=dark] .flatpickr-time .flatpickr-am-pm {
  outline: 0;
  width: 18%;
  cursor: pointer;
  text-align: center;
  font-weight: 400;
}
[data-bs-theme=dark] .flatpickr-time input:hover,
[data-bs-theme=dark] .flatpickr-time .flatpickr-am-pm:hover,
[data-bs-theme=dark] .flatpickr-time input:focus,
[data-bs-theme=dark] .flatpickr-time .flatpickr-am-pm:focus {
  background: #6a7395;
}
[data-bs-theme=dark] .flatpickr-input[readonly] {
  cursor: pointer;
}
@-webkit-keyframes fpFadeInDown {
  from {
    opacity: 0;
    -webkit-transform: translate3d(0, -20px, 0);
    transform: translate3d(0, -20px, 0);
  }
  to {
    opacity: 1;
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
}
@keyframes fpFadeInDown {
  from {
    opacity: 0;
    -webkit-transform: translate3d(0, -20px, 0);
    transform: translate3d(0, -20px, 0);
  }
  to {
    opacity: 1;
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
  }
}
[data-bs-theme=dark] .btn-outline-dark {
  --bs-btn-color: #f8f9fa;
  --bs-btn-border-color: var(--bs-border-color);
  --bs-btn-hover-bg: #f8f9fa;
  --bs-btn-hover-border-color: #f8f9fa;
  --bs-btn-focus-shadow-rgb: 248, 249, 250;
  --bs-btn-active-color: #000;
  --bs-btn-active-bg: #f8f9fa;
  --bs-btn-active-border-color: var(--bs-border-color);
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #f8f9fa;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #f8f9fa;
  --bs-gradient: none;
}

.small-box {
  border-radius: 0.375rem;
  box-shadow: 0 0 1px rgba(var(--bs-body-color-rgb), 0.125), 0 1px 3px rgba(var(--bs-body-color-rgb), 0.2);
  position: relative;
  display: block;
  margin-bottom: 1.25rem;
  --bs-link-color-rgb: none;
  --bs-link-hover-color-rgb: none;
  --bs-heading-color: none;
}
.small-box > .inner {
  padding: 10px;
}
.small-box > .small-box-footer {
  position: relative;
  z-index: 10;
  display: block;
  padding: 3px 0;
  text-align: center;
  background-color: rgba(0, 0, 0, 0.07);
}
.small-box > .small-box-footer:hover {
  background-color: rgba(0, 0, 0, 0.1);
}
.small-box h3 {
  font-size: calc(1.345rem + 1.14vw);
}
@media (min-width: 1200px) {
  .small-box h3 {
    font-size: 2.2rem;
  }
}
.small-box h3 {
  padding: 0;
  margin: 0 0 10px;
  font-weight: 700;
  white-space: nowrap;
}
@media (min-width: 992px) {
  .col-xl-2 .small-box h3, .col-lg-2 .small-box h3, .col-md-2 .small-box h3 {
    font-size: calc(1.285rem + 0.42vw);
  }
}
@media (min-width: 992px) and (min-width: 1200px) {
  .col-xl-2 .small-box h3, .col-lg-2 .small-box h3, .col-md-2 .small-box h3 {
    font-size: 1.6rem;
  }
}
@media (min-width: 992px) {
  .col-xl-3 .small-box h3, .col-lg-3 .small-box h3, .col-md-3 .small-box h3 {
    font-size: calc(1.285rem + 0.42vw);
  }
}
@media (min-width: 992px) and (min-width: 1200px) {
  .col-xl-3 .small-box h3, .col-lg-3 .small-box h3, .col-md-3 .small-box h3 {
    font-size: 1.6rem;
  }
}
@media (min-width: 1200px) {
  .col-xl-2 .small-box h3, .col-lg-2 .small-box h3, .col-md-2 .small-box h3 {
    font-size: calc(1.345rem + 1.14vw);
  }
}
@media (min-width: 1200px) and (min-width: 1200px) {
  .col-xl-2 .small-box h3, .col-lg-2 .small-box h3, .col-md-2 .small-box h3 {
    font-size: 2.2rem;
  }
}
@media (min-width: 1200px) {
  .col-xl-3 .small-box h3, .col-lg-3 .small-box h3, .col-md-3 .small-box h3 {
    font-size: calc(1.345rem + 1.14vw);
  }
}
@media (min-width: 1200px) and (min-width: 1200px) {
  .col-xl-3 .small-box h3, .col-lg-3 .small-box h3, .col-md-3 .small-box h3 {
    font-size: 2.2rem;
  }
}
.small-box p {
  font-size: 1rem;
}
.small-box p > small {
  display: block;
  margin-top: 5px;
  font-size: 0.9rem;
  color: #f8f9fa;
}
.small-box h3,
.small-box p {
  z-index: 5;
}
.small-box .small-box-icon {
  position: absolute;
  top: 15px;
  right: 15px;
  z-index: 0;
  height: 70px;
  font-size: 70px;
  color: rgba(0, 0, 0, 0.15);
  transition: transform 0.3s linear;
}
.small-box:hover .small-box-icon {
  transform: scale(1.1);
}

@media (max-width: 575.98px) {
  .small-box {
    text-align: center;
  }
  .small-box .small-box-icon {
    display: none;
  }
  .small-box p {
    font-size: 12px;
  }
}
.loader {
  position: absolute;
  top: 38px;
  right: 0;
  width: 100%;
  bottom: 0;
  z-index: 1000000;
  background-color: rgba(var(--bs-bg-color-rgb), 0.98);
}
.loader.fade {
  pointer-events: none;
}

@keyframes spinner-border {
  to {
    transform: rotate(360deg);
  }
}
.loading-spin::after {
  content: "";
  display: block;
  position: absolute;
  width: 3rem;
  height: 3rem;
  top: calc(50% - 1.5rem);
  left: calc(50% - 1.5rem);
  border: 3px solid rgba(var(--bs-secondary-color-rgb), 1);
  border-radius: 50%;
  border-left-color: rgba(var(--bs-secondary-color-rgb), 0.3);
  animation: 1.2s linear infinite spinner-border;
}

.spinner-hidden {
  display: none;
}

.loading .spinner-hidden {
  display: inline;
}

button.gridjs-sort {
  float: right;
  height: 24px;
  width: 13px;
  background-color: transparent;
  background-repeat: no-repeat;
  background-position-x: center;
  cursor: pointer;
  padding: 0;
  margin: 0;
  border: none;
  outline: none;
  background-size: contain;
}

button.gridjs-sort-neutral {
  opacity: 0.3;
  background-image: url("data:image/svg+xml;base64,PHN2ZyB2ZXJzaW9uPSIxLjEiIGlkPSJDYXBhXzEiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIHg9IjBweCIgeT0iMHB4IgoJIHdpZHRoPSI0MDEuOTk4cHgiIGhlaWdodD0iNDAxLjk5OHB4IiB2aWV3Qm94PSIwIDAgNDAxLjk5OCA0MDEuOTk4IiBzdHlsZT0iZW5hYmxlLWJhY2tncm91bmQ6bmV3IDAgMCA0MDEuOTk4IDQwMS45OTg7IgoJIHhtbDpzcGFjZT0icHJlc2VydmUiPgo8Zz4KCTxnPgoJCTxwYXRoIGQ9Ik03My4wOTIsMTY0LjQ1MmgyNTUuODEzYzQuOTQ5LDAsOS4yMzMtMS44MDcsMTIuODQ4LTUuNDI0YzMuNjEzLTMuNjE2LDUuNDI3LTcuODk4LDUuNDI3LTEyLjg0NwoJCQljMC00Ljk0OS0xLjgxMy05LjIyOS01LjQyNy0xMi44NUwyMTMuODQ2LDUuNDI0QzIxMC4yMzIsMS44MTIsMjA1Ljk1MSwwLDIwMC45OTksMHMtOS4yMzMsMS44MTItMTIuODUsNS40MjRMNjAuMjQyLDEzMy4zMzEKCQkJYy0zLjYxNywzLjYxNy01LjQyNCw3LjkwMS01LjQyNCwxMi44NWMwLDQuOTQ4LDEuODA3LDkuMjMxLDUuNDI0LDEyLjg0N0M2My44NjMsMTYyLjY0NSw2OC4xNDQsMTY0LjQ1Miw3My4wOTIsMTY0LjQ1MnoiLz4KCQk8cGF0aCBkPSJNMzI4LjkwNSwyMzcuNTQ5SDczLjA5MmMtNC45NTIsMC05LjIzMywxLjgwOC0xMi44NSw1LjQyMWMtMy42MTcsMy42MTctNS40MjQsNy44OTgtNS40MjQsMTIuODQ3CgkJCWMwLDQuOTQ5LDEuODA3LDkuMjMzLDUuNDI0LDEyLjg0OEwxODguMTQ5LDM5Ni41N2MzLjYyMSwzLjYxNyw3LjkwMiw1LjQyOCwxMi44NSw1LjQyOHM5LjIzMy0xLjgxMSwxMi44NDctNS40MjhsMTI3LjkwNy0xMjcuOTA2CgkJCWMzLjYxMy0zLjYxNCw1LjQyNy03Ljg5OCw1LjQyNy0xMi44NDhjMC00Ljk0OC0xLjgxMy05LjIyOS01LjQyNy0xMi44NDdDMzM4LjEzOSwyMzkuMzUzLDMzMy44NTQsMjM3LjU0OSwzMjguOTA1LDIzNy41NDl6Ii8+Cgk8L2c+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPC9zdmc+");
  background-position-y: center;
}

button.gridjs-sort-asc {
  background-image: url("data:image/svg+xml;base64,PHN2ZyB2ZXJzaW9uPSIxLjEiIGlkPSJDYXBhXzEiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIHg9IjBweCIgeT0iMHB4IgoJIHdpZHRoPSIyOTIuMzYycHgiIGhlaWdodD0iMjkyLjM2MXB4IiB2aWV3Qm94PSIwIDAgMjkyLjM2MiAyOTIuMzYxIiBzdHlsZT0iZW5hYmxlLWJhY2tncm91bmQ6bmV3IDAgMCAyOTIuMzYyIDI5Mi4zNjE7IgoJIHhtbDpzcGFjZT0icHJlc2VydmUiPgo8Zz4KCTxwYXRoIGQ9Ik0yODYuOTM1LDE5Ny4yODdMMTU5LjAyOCw2OS4zODFjLTMuNjEzLTMuNjE3LTcuODk1LTUuNDI0LTEyLjg0Ny01LjQyNHMtOS4yMzMsMS44MDctMTIuODUsNS40MjRMNS40MjQsMTk3LjI4NwoJCUMxLjgwNywyMDAuOTA0LDAsMjA1LjE4NiwwLDIxMC4xMzRzMS44MDcsOS4yMzMsNS40MjQsMTIuODQ3YzMuNjIxLDMuNjE3LDcuOTAyLDUuNDI1LDEyLjg1LDUuNDI1aDI1NS44MTMKCQljNC45NDksMCw5LjIzMy0xLjgwOCwxMi44NDgtNS40MjVjMy42MTMtMy42MTMsNS40MjctNy44OTgsNS40MjctMTIuODQ3UzI5MC41NDgsMjAwLjkwNCwyODYuOTM1LDE5Ny4yODd6Ii8+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPC9zdmc+");
  background-position-y: 35%;
  background-size: 10px;
}

button.gridjs-sort-desc {
  background-image: url("data:image/svg+xml;base64,PHN2ZyB2ZXJzaW9uPSIxLjEiIGlkPSJDYXBhXzEiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIHg9IjBweCIgeT0iMHB4IgoJIHdpZHRoPSIyOTIuMzYycHgiIGhlaWdodD0iMjkyLjM2MnB4IiB2aWV3Qm94PSIwIDAgMjkyLjM2MiAyOTIuMzYyIiBzdHlsZT0iZW5hYmxlLWJhY2tncm91bmQ6bmV3IDAgMCAyOTIuMzYyIDI5Mi4zNjI7IgoJIHhtbDpzcGFjZT0icHJlc2VydmUiPgo8Zz4KCTxwYXRoIGQ9Ik0yODYuOTM1LDY5LjM3N2MtMy42MTQtMy42MTctNy44OTgtNS40MjQtMTIuODQ4LTUuNDI0SDE4LjI3NGMtNC45NTIsMC05LjIzMywxLjgwNy0xMi44NSw1LjQyNAoJCUMxLjgwNyw3Mi45OTgsMCw3Ny4yNzksMCw4Mi4yMjhjMCw0Ljk0OCwxLjgwNyw5LjIyOSw1LjQyNCwxMi44NDdsMTI3LjkwNywxMjcuOTA3YzMuNjIxLDMuNjE3LDcuOTAyLDUuNDI4LDEyLjg1LDUuNDI4CgkJczkuMjMzLTEuODExLDEyLjg0Ny01LjQyOEwyODYuOTM1LDk1LjA3NGMzLjYxMy0zLjYxNyw1LjQyNy03Ljg5OCw1LjQyNy0xMi44NDdDMjkyLjM2Miw3Ny4yNzksMjkwLjU0OCw3Mi45OTgsMjg2LjkzNSw2OS4zNzd6Ii8+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPGc+CjwvZz4KPC9zdmc+");
  background-position-y: 65%;
  background-size: 10px;
}

[data-bs-theme=dark] button.gridjs-sort-neutral {
  opacity: 0.3;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 401.998 401.998'%3E%3Cg%3E%3Cg%3E%3Cpath fill='%23fff' d='M73.092 164.452h255.813c4.949 0 9.233-1.807 12.848-5.424 3.613-3.616 5.427-7.898 5.427-12.847 0-4.949-1.813-9.229-5.427-12.85L213.846 5.424C210.232 1.812 205.951 0 200.999 0s-9.233 1.812-12.85 5.424L60.242 133.331c-3.617 3.617-5.424 7.901-5.424 12.85 0 4.948 1.807 9.231 5.424 12.847 3.621 3.617 7.902 5.424 12.85 5.424Z'/%3E%3Cpath fill='%23fff' d='M328.905 237.549H73.092c-4.952 0-9.233 1.808-12.85 5.421-3.617 3.617-5.424 7.898-5.424 12.847 0 4.949 1.807 9.233 5.424 12.848L188.149 396.57c3.621 3.617 7.902 5.428 12.85 5.428s9.233-1.811 12.847-5.428l127.907-127.906c3.613-3.614 5.427-7.898 5.427-12.848 0-4.948-1.813-9.229-5.427-12.847-3.614-3.616-7.899-5.42-12.848-5.42Z'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
  background-position-y: center;
}
[data-bs-theme=dark] button.gridjs-sort-asc {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 292.362 292.361'%3E%3Cg%3E%3Cpath fill='%23fff' d='M286.935 197.287 159.028 69.381c-3.613-3.617-7.895-5.424-12.847-5.424s-9.233 1.807-12.85 5.424L5.424 197.287C1.807 200.904 0 205.186 0 210.134s1.807 9.233 5.424 12.847c3.621 3.617 7.902 5.425 12.85 5.425h255.813c4.949 0 9.233-1.808 12.848-5.425 3.613-3.613 5.427-7.898 5.427-12.847s-1.814-9.23-5.427-12.847Z'/%3E%3C/g%3E%3C/svg%3E");
  background-position-y: 35%;
  background-size: 10px;
}
[data-bs-theme=dark] button.gridjs-sort-desc {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 292.362 292.362'%3E%3Cg%3E%3Cpath fill='%23fff' d='M286.935 69.377c-3.614-3.617-7.898-5.424-12.848-5.424H18.274c-4.952 0-9.233 1.807-12.85 5.424C1.807 72.998 0 77.279 0 82.228c0 4.948 1.807 9.229 5.424 12.847l127.907 127.907c3.621 3.617 7.902 5.428 12.85 5.428 4.948 0 9.233-1.811 12.847-5.428L286.935 95.074c3.613-3.617 5.427-7.898 5.427-12.847 0-4.949-1.814-9.23-5.427-12.85Z'/%3E%3C/g%3E%3C/svg%3E");
  background-position-y: 65%;
  background-size: 10px;
}

button.gridjs-sort:focus {
  outline: none;
}

th.gridjs-th {
  position: relative;
  border-top: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  box-sizing: border-box;
  white-space: nowrap;
  outline: none;
  vertical-align: middle;
}

th.gridjs-th .gridjs-th-content {
  text-overflow: ellipsis;
  overflow: hidden;
  width: 100%;
  float: left;
}

th.gridjs-th-sort {
  cursor: pointer;
}

th.gridjs-th-sort .gridjs-th-content {
  width: calc(100% - 15px);
}

th.gridjs-th-sort:hover {
  background-color: #e5e7eb;
}

th.gridjs-th-sort:focus {
  background-color: #e5e7eb;
}

th.gridjs-th-fixed {
  position: sticky;
  box-shadow: 0 1px 0 0 #e5e7eb;
}

@supports (-moz-appearance: none) {
  th.gridjs-th-fixed {
    box-shadow: 0 0 0 1px #e5e7eb;
  }
}
[data-bs-theme=dark] th.gridjs-th-sort:hover {
  background-color: #495057;
}
[data-bs-theme=dark] th.gridjs-th-sort:focus {
  background-color: #495057;
}
[data-bs-theme=dark] th.gridjs-th-fixed {
  position: sticky;
  box-shadow: 0 1px 0 0 #495057;
}
@supports (-moz-appearance: none) {
  [data-bs-theme=dark] th.gridjs-th-fixed {
    box-shadow: 0 0 0 1px #495057;
  }
}

th.gridjs-th:first-child {
  border-left: none;
}

th.gridjs-th:last-child {
  border-right: none;
}

.gridjs-input {
  display: block;
  width: 100%;
  font-weight: 400;
  line-height: 1.5;
  color: var(--bs-body-color);
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  background-color: var(--bs-body-bg);
  background-clip: padding-box;
  border: var(--bs-border-width) solid var(--bs-border-color);
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
  min-height: calc(1.5em + 0.5rem + var(--bs-border-width) * 2);
  padding: 0.25rem 0.5rem;
  font-size: 0.875rem;
  border-radius: var(--bs-border-radius-sm);
}

.gridjs-wrapper {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  border-color: #e5e7eb;
  border-radius: 8px 8px 0 0;
  border-top-width: 1px;
  display: block;
  overflow: auto;
  width: 100%;
  z-index: 1;
}

.gridjs-wrapper:nth-last-of-type(2) {
  border-bottom-width: 1px;
  border-radius: 8px;
}

.gridjs-search {
  float: left;
}

.gridjs-search-input {
  width: 250px;
}

.gridjs-loading-bar {
  opacity: 0.5;
  z-index: 10;
}

.gridjs-loading-bar, .gridjs-loading-bar:after {
  bottom: 0;
  left: 0;
  position: absolute;
  right: 0;
  top: 0;
}

.gridjs-loading-bar:after {
  -webkit-animation: 2s infinite b;
  animation: 2s infinite b;
  background-image: linear-gradient(90deg, hsla(0, 0%, 80%, 0), hsla(0, 0%, 80%, 0.2) 20%, hsla(0, 0%, 80%, 0.5) 60%, hsla(0, 0%, 80%, 0));
  content: "";
  -webkit-transform: translateX(-100%);
  transform: translateX(-100%);
}

@-webkit-keyframes b {
  to {
    -webkit-transform: translateX(100%);
    transform: translateX(100%);
  }
}
@keyframes b {
  to {
    -webkit-transform: translateX(100%);
    transform: translateX(100%);
  }
}
